﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Infragistics.Win;
using Infragistics.Win.UltraWinScrollBar;
using Infragistics.Win.UltraWinGrid;

namespace UltraGridHorizontalNavigationButtons
{
    public class HideScrollbarsCreationFilter : IUIElementCreationFilter
    {
        public void AfterCreateChildElements(UIElement parent)
        {
            if (parent is CardAreaUIElement)
            {
                var scrollBarUIElement = parent.ChildElements.OfType<ScrollBarUIElement>().First();
                parent.ChildElements.Remove(scrollBarUIElement);
            }
        }

        public bool BeforeCreateChildElements(UIElement parent)
        {
            return false;
        }
    }
}
